# WIN32_Proactor.h File Reference

`#include "ace/config-all.h"`
`#include "ace/WIN32_Asynch_IO.h"`
`#include "ace/Event_Handler.h"`
`#include "ace/Proactor_Impl.h"`
`#include "ace/Asynch_Pseudo_Task.h"`
`#include "ace/Auto_Event.h"`

Include dependency graph for WIN32_Proactor.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_WIN32_Proactor
| A manager for asynchronous event demultiplexing on Win32. More...
class | ACE_WIN32_Asynch_Timer
| This class is posted to the completion port when a timer expires. When the complete method of this object is called, the <handler>'s handle_timeout method will be called. More...

## Detailed Description

Id
  WIN32_Proactor.h,v 4.32 2006/01/20 15:05:21 jwillemsen Exp

Author:
  Irfan Pyarali (irfan@cs.wustl.edu)

  Tim Harrison (harrison@cs.wustl.edu)

  Alexander Babu Arulanthu <alex@cs.wustl.edu>

  Roger Tragin <r.tragin@computer.org>

  Alexander Libman <alibman@ihug.com.au>